aboutsummaryrefslogtreecommitdiff
path: root/scripts/test/link.test
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/test/link.test')
-rwxr-xr-xscripts/test/link.test8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/test/link.test b/scripts/test/link.test
new file mode 100755
index 00000000..3bfdc1f1
--- /dev/null
+++ b/scripts/test/link.test
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+[ -e testing.sh ] && . testing.sh
+
+echo "" >foo
+testing "link has same inode" "link foo bar && stat -c '%DI%i bar'" "stat -c '%DI%i' foo" "" ""
+testing "link fails on non-existent file" "link foo/foo baz || echo GOOD" "GOOD\n" "" ""
+rm -f foo bar